[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[wtp-dev] 1.5.1 change policy

As we wrap up 1.5 and begin branching for maintenance, a quick reminder of the policy for 1.5.1:

 

  • General expectation: 1.5 adopters should be able to take 1.5.1 and 1.5.2 without problems
    • Binary compatibility is required among all point releases and 1.5
    • Source compatibility is required among all point releases and 1.5
    • Full project interoperability among these releases (e.g., a project created in 1.5.1 must be usable in 1.5 without changes)
  • Without prior PMC approval, no new, changed, or deleted
    • Extension points
    • APIs
    • Features (including major UI changes)
  • Bug fixes and performance enhancements are generally ok and do not require PMC approval until rampdown